Bug 734996 - corosync sometimes crashes while doing cman_tool join; cman_tool leave in a loop
Summary: corosync sometimes crashes while doing cman_tool join; cman_tool leave in a loop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync
Version: 6.2
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jan Friesse
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 732698
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-01 06:44 UTC by RHEL Product and Program Management
Modified: 2011-10-12 08:36 UTC (History)
8 users (show)

Fixed In Version: corosync-1.2.3-21.el6_0.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-12 08:36:09 UTC


Attachments (Terms of Use)
6.0.z-bz734996-1-Ignore-memb_join-messages-during-flush-operations (1.68 KB, patch)
2011-09-09 09:14 UTC, Jan Friesse
no flags Details | Diff
test (1.58 KB, patch)
2011-09-12 08:15 UTC, Jan Friesse
no flags Details | Diff
test (1.58 KB, patch)
2011-09-12 08:16 UTC, Jan Friesse
no flags Details | Diff
0001 (1.58 KB, patch)
2011-09-12 08:46 UTC, Jan Friesse
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1363 normal SHIPPED_LIVE corosync bug fix update 2011-10-12 08:35:55 UTC

Description RHEL Product and Program Management 2011-09-01 06:44:50 UTC
This bug has been copied from bug #732698 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 5 Jan Friesse 2011-09-09 09:14:50 UTC
Created attachment 522282 [details]
6.0.z-bz734996-1-Ignore-memb_join-messages-during-flush-operations

Comment 6 Jan Friesse 2011-09-12 08:15:29 UTC
Created attachment 522660 [details]
test

Comment 7 Jan Friesse 2011-09-12 08:16:02 UTC
Created attachment 522661 [details]
test


This is test comment

Comment 8 Jan Friesse 2011-09-12 08:46:52 UTC
Created attachment 522665 [details]
0001


Ignore memb_join messages during flush operations

a memb_join operation that occurs during flushing can result in an
entry into the GATHER state from the RECOVERY state.  This results in the
regular sort queue being used instead of the recovery sort queue, resulting
in segfault.

Signed-off-by: Steven Dake <sdake@redhat.com>
Reviewed-by: Jan Friesse <jfriesse@redhat.com>
(cherry picked from commit 48ffa8892daac18935d96ae46a72aebe2fb70430)

Comment 12 Martin Juricek 2011-10-03 11:59:37 UTC
Verified in version corosync-1.2.3-21.el6_0.5, kernel 2.6.32-71.34.1.el6

Comment 14 errata-xmlrpc 2011-10-12 08:36:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1363.html


Note You need to log in before you can comment on or make changes to this bug.